## org.eclipse.amp.agf.gef
Class GEFUtils

    java.lang.Object
      org.eclipse.amp.agf.gef.GEFUtils

    public final class GEFUtils

extends java.lang.Object

Author:
  mparker

Constructor Summary
`GEFUtils()`

Method Summary
`static org.eclipse.draw2d.geometry.Dimension` `getScaledExtent(ILocationProvider locationProvider, java.lang.Object object)`
`static org.eclipse.draw2d.geometry.Dimension` `toScaledDimension(ILocation2D location)`
`static org.eclipse.draw2d.geometry.Point` `toScaledPoint(ILocation2D location)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GEFUtils

    public GEFUtils()

Method Detail

### toScaledPoint

    public static final org.eclipse.draw2d.geometry.Point toScaledPoint(ILocation2D location)

### toScaledDimension

    public static final org.eclipse.draw2d.geometry.Dimension toScaledDimension(ILocation2D location)

### getScaledExtent

    public static final org.eclipse.draw2d.geometry.Dimension getScaledExtent(ILocationProvider locationProvider,
                                                                              java.lang.Object object)